﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml;

namespace Algomojo
{
    public class Config
    {
        public String Key { get; set; }
        public String Secret { get; set; }
        public String Version { get; set; }
        public String BrokerCode { get; set; }

        public String GetURL()
        {
            return String.Format("https://{0}api.algomojo.com/{1}/", BrokerCode, Version);
        }

        static public Config ReadFromFile(string fileName)
        {
            Config config = new Config();
            XmlDocument document = new XmlDocument();
            document.Load(fileName);

            config.Key = document.DocumentElement.SelectSingleNode("APIKey").FirstChild.Value;
            config.Secret = document.DocumentElement.SelectSingleNode("APISecret").FirstChild.Value;
            config.Version = document.DocumentElement.SelectSingleNode("Version").FirstChild.Value;
            config.BrokerCode = document.DocumentElement.SelectSingleNode("BrokerCode").FirstChild.Value;

            return config;
        }
    }
}
